### Signal

# Panel Dock::panel-drag-end

#### Declaration

    void
    panel_drag_end (
      PanelDock* self,
      PanelWidget* panel,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when dragging of a panel either completes or was cancelled.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`panel`

  Type: `PanelWidget`

  A `PanelWidget`.

  The data is owned by the caller of the function.